#ifndef MSP_NET_STREAMLISTENSOCKET_H_
#define MSP_NET_STREAMLISTENSOCKET_H_

#include "socket.h"

namespace Msp {
namespace Net {

class StreamSocket;

class StreamListenSocket: public Socket
{
private:
	bool listening;

public:
	StreamListenSocket(Family, int = 0);

	int connect(const SockAddr &);
	void listen(const SockAddr &, unsigned = 4);
	StreamSocket *accept();
};

} // namespace Net
} // namespace Msp

#endif
